use spirv_builder::{MetadataPrintout, SpirvBuilder};
use std::path::PathBuf;
use std::{env, fs};

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let result = SpirvBuilder::new("../flare-shader", "spirv-unknown-vulkan1.1")
        .print_metadata(MetadataPrintout::Full)
        .release(false)
        .build()?;

    // Copy the SPIR-V to this crate's output directory
    let shader_path = result.module.unwrap_single();
    let output_path = PathBuf::from(env::var("OUT_DIR")?).join("flare.spv");
    fs::copy(shader_path, &output_path)?;

    println!("Generated shader; path={}", output_path.display());
    Ok(())
}
